Package Details: squirrel-sql 4.1.0-1

Git Clone URL: https://aur.archlinux.org/squirrel-sql.git (read-only, click to copy)
Package Base: squirrel-sql
Description: A Java SQL client for any JDBC compliant database
Upstream URL: http://www.squirrelsql.org/
Licenses: GPL
Submitter: hyness
Maintainer: hyness
Last Packager: hyness
Votes: 28
Popularity: 0.20
First Submitted: 2015-10-27 19:37
Last Updated: 2020-05-27 12:35

Latest Comments

1 2 Next › Last »

anpieber commented on 2020-05-26 11:00

The upgrade is as easy as:

diff --git a/PKGBUILD b/PKGBUILD
index 3657cdb..8ea8ded 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,7 +1,7 @@
 # Contributor: Hy Goldsher <hyness-at-freshlegacycode-dot-org>                
 # Maintainer: Hy Goldsher <hyness-at-freshlegacycode-dot-org>
 pkgname=squirrel-sql
-pkgver=4.0.0
+pkgver=4.1.0
 pkgrel=1
 pkgdesc="A Java SQL client for any JDBC compliant database"
 arch=('i686' 'x86_64')
@@ -12,7 +12,7 @@ depends=('java-runtime')
 arch=('i686' 'x86_64')
 source=(http://downloads.sourceforge.net/squirrel-sql/squirrelsql-$pkgver-        optional.zip $pkgname $pkgname.desktop)
 install=$pkgname.install
-md5sums=('0820428b8dd6754d50c8c8a4b60bd4a2'
+md5sums=('6aec1434b64f77534b38772b89d1b4a1'
          '13fcedb38028ddafae5d5d4526dad5a3'
          '14f0b383472e67040112c446cd2dc3d4')
 package() {
(END)

noahrinehart commented on 2018-06-10 20:44

If anyone has any problems running this and facing an error that mentions that Java 1.8 should be used, even if Java 10 is installed, then just edit /usr/share/java/squirrel-sql/squirrel-sql.sh and comment out lines 70-73.

SanskritFritz commented on 2017-10-12 13:58

acorn.ico could be installed too to its respective location, since some launchers (like kupfer) can make use of those.

hyness commented on 2017-10-02 14:49

@pezzacolori
Thanks, fixed. I'm not sure how that happened, I built the package before uploading it.

pezzacolori commented on 2017-10-02 14:19

please correct md5sum of first file:
0dc6ba651f57a1ee8b114a3a052a2fe4

SanskritFritz commented on 2017-07-26 08:32

Also, you may search the AUR for jdbc.

SanskritFritz commented on 2017-07-26 08:30

JohnRobson
The database vendors, like Oracle and others usually provide their JDBC drivers. I recommend downloading the thin drivers, they work well.

JohnRobson commented on 2017-07-25 22:20

@hyness Thank you for this info. What package do you recommend me to install? O where can I get those drivers?

hyness commented on 2017-07-21 14:17

@JohnRobson SquirrelSQL does not come with JDBC drivers. You need to install those yourself

JohnRobson commented on 2017-07-19 23:30

Bug: No drivers loaded.